<?
/************************************************************************/
/* PowerDownload is a PHP and mySQL based Download Script               */
/* Copyright (C) 2001-2002 PowerScripts                                 */
/*                                                                      */
/* This program is free software; you can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License, or    */
/* (at your option) any later version.                                  */
/*                                                                      */
/* This program is distributed in the hope that it will be useful,      */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/* GNU General Public License for more details.                         */
/*                                                                      */
/* You should have received a copy of the GNU General Public License    */
/* along with this program; if not, write to the Free Software          */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston,                */
/* MA  02111-1307  USA                                                  */
/************************************************************************/

include("pdl-inc/pdl_header.inc.php");

function PMA_splitSqlFile(&$ret, $sql)
 {
    $sql          = trim($sql);
    $sql_len      = strlen($sql);
    $char         = '';
    $string_start = '';
    $in_string    = FALSE;
    $time0        = time();

    for ($i = 0; $i < $sql_len; ++$i)
     {
      $char = $sql[$i];
      if ($in_string)
       {
        for (;;)
         {
          $i         = strpos($sql, $string_start, $i);
          if (!$i)
           {
            $ret[] = $sql;
            return TRUE;
           }
          else if ($string_start == '`' || $sql[$i-1] != '\\')
           {
            $string_start      = '';
            $in_string         = FALSE;
            break;
           }
          else
           {
            $j                     = 2;
            $escaped_backslash     = FALSE;
            while ($i-$j > 0 && $sql[$i-$j] == '\\')
             {
              $escaped_backslash = !$escaped_backslash;
              $j++;
             }
            if ($escaped_backslash)
             {
              $string_start  = '';
              $in_string     = FALSE;
              break;
             }
            else
             {
              $i++;
             }
           }
         }
       }
      else if ($char == ';')
       {
        $ret[]      = substr($sql, 0, $i);
        $sql        = ltrim(substr($sql, min($i + 1, $sql_len)));
        $sql_len    = strlen($sql);
        if ($sql_len)
         {
          $i      = -1;
         }
        else
         {
          return TRUE;
         }
       }
      else if (($char == '"') || ($char == '\'') || ($char == '`'))
       {
        $in_string    = TRUE;
        $string_start = $char;
       }
      else if ($char == '#' || ($char == ' ' && $i > 1 && $sql[$i-2] . $sql[$i-1] == '--'))
       {
        $start_of_comment = (($sql[$i] == '#') ? $i : $i-2);
        $end_of_comment   = (strpos(' ' . $sql, "\012", $i+2))
                           ? strpos(' ' . $sql, "\012", $i+2)
                           : strpos(' ' . $sql, "\015", $i+2);
        if (!$end_of_comment)
         {
          if ($start_of_comment > 0)
           {
            $ret[]    = trim(substr($sql, 0, $start_of_comment));
           }
          return TRUE;
         }
        else
         {
          $sql          = substr($sql, 0, $start_of_comment)
                        . ltrim(substr($sql, $end_of_comment));
          $sql_len      = strlen($sql);
          $i--;
         }
       }
      else if ($char == '!' && $i > 1  && $sql[$i-2] . $sql[$i-1] == '/*')
       {
        $sql[$i] = ' ';
       }
      $time1     = time();
      if ($time1 >= $time0 + 30)
       {
        $time0 = $time1;
        header('X-pmaPing: Pong');
       }
     }
    if (!empty($sql) && ereg('[^[:space:]]+', $sql))
     {
      $ret[] = $sql;
     }

    return TRUE;
 }

$querys = "
#--------------------------------------------#

DROP TABLE IF EXISTS $sql_table[admins];
CREATE TABLE $sql_table[admins] (
  id mediumint(8) unsigned NOT NULL auto_increment,
  nick varchar(128) NOT NULL default '',
  mail varchar(128) NOT NULL default '',
  pw varchar(64) NOT NULL default '',
  url varchar(128) NOT NULL default '',
  icq int(14) NOT NULL default '0',
  addcomments enum('Y','N') NOT NULL default 'Y',
  access_admin enum('Y','N') NOT NULL default 'Y',
  delfiles enum('Y','N') NOT NULL default 'Y',
  editfiles enum('Y','N') NOT NULL default 'Y',
  addadmins enum('Y','N') NOT NULL default 'Y',
  deladmins enum('Y','N') NOT NULL default 'Y',
  editadmins enum('Y','N') NOT NULL default 'Y',
  adddirs enum('Y','N') NOT NULL default 'Y',
  deldirs enum('Y','N') NOT NULL default 'Y',
  editdirs enum('Y','N') NOT NULL default 'Y',
  manage_designs enum('Y','N') NOT NULL default 'Y',
  extra_recht enum('Y','N') NOT NULL default 'Y',
  PRIMARY KEY  (id),
  UNIQUE KEY nick (nick)
) TYPE=MyISAM;

#--------------------------------------------#

DROP TABLE IF EXISTS $sql_table[comments];
CREATE TABLE $sql_table[comments] (
  id mediumint(8) unsigned NOT NULL auto_increment,
  user int(9) NOT NULL default '0',
  text text NOT NULL,
  file_id mediumint(9) NOT NULL default '0',
  titel varchar(255) NOT NULL default '',
  timestamp int(14) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#--------------------------------------------#

DROP TABLE IF EXISTS $sql_table[designs];
CREATE TABLE $sql_table[designs] (
  design_id int(9) NOT NULL default '0',
  name varchar(255) NOT NULL default '',
  value text NOT NULL
) TYPE=MyISAM;

#--------------------------------------------#

DROP TABLE IF EXISTS $sql_table[dirs];
CREATE TABLE $sql_table[dirs] (
  id int(9) unsigned NOT NULL auto_increment,
  name varchar(255) NOT NULL default '',
  text text NOT NULL,
  ordner_id int(9) NOT NULL default '0',
  design_id int(9) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#--------------------------------------------#

DROP TABLE IF EXISTS $sql_table[files];
CREATE TABLE $sql_table[files] (
  id int(9) unsigned NOT NULL auto_increment,
  name varchar(255) NOT NULL default '',
  text text NOT NULL,
  timestamp int(14) NOT NULL default '0',
  loads mediumint(9) NOT NULL default '0',
  views mediumint(9) NOT NULL default '0',
  ordner_id mediumint(9) NOT NULL default '0',
  size mediumint(9) NOT NULL default '0',
  url varchar(255) NOT NULL default '',
  uploader mediumint(9) NOT NULL default '0',
  screen_name varchar(255) NOT NULL default '',
  author int(9) NOT NULL default '0',
  author_nick varchar(128) NOT NULL default '',
  author_mail varchar(128) NOT NULL default '',
  author_url varchar(128) NOT NULL default '',
  author_icq int(14) NOT NULL default '0',
  released enum('Y','N') NOT NULL default 'Y',
  votes int(9) NOT NULL default '0',
  vote int(9) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#--------------------------------------------#

DROP TABLE IF EXISTS $sql_table[mirrors];
CREATE TABLE $sql_table[mirrors] (
  id int(9) unsigned NOT NULL auto_increment,
  file_id int(9) NOT NULL default '0',
  url varchar(255) NOT NULL default '',
  name varchar(255) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#--------------------------------------------#

DROP TABLE IF EXISTS $sql_table[settings];
CREATE TABLE $sql_table[settings] (
  name varchar(255) NOT NULL default '',
  value text NOT NULL,
  PRIMARY KEY  (name)
) TYPE=MyISAM;

#--------------------------------------------#

DROP TABLE IF EXISTS $sql_table[votes];
CREATE TABLE $sql_table[votes] (
  file_id mediumint(9) NOT NULL default '0',
  ip varchar(32) NOT NULL default ''
) TYPE=MyISAM;

#--------------------------------------------#

INSERT INTO $sql_table[designs] VALUES (-1, 'files_row', '        <tr>\r\n          <td bgcolor=\"{alt}\">\r\n            <a href=\"{script_file}file_id={id}\">{name}</a>\r\n          </td>\r\n          <td bgcolor=\"{alt}\">\r\n            {size}\r\n          </td>\r\n          <td bgcolor=\"{alt}\">\r\n            {time}\r\n          </td>\r\n          <td bgcolor=\"{alt}\">\r\n            {text}\r\n          </td>\r\n        </tr>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'ordner_row', '        <tr>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <a href=\"{script_file}ordner_id={id}\">{name}</a>\r\n          </td>\r\n          <td bgcolor=\"{alt_2}\">\r\n            {files}\r\n          </td>\r\n          <td bgcolor=\"{alt_1}\">\r\n            {subdirs}\r\n          </td>\r\n          <td bgcolor=\"{alt_2}\">\r\n            {text}\r\n          </td>\r\n        </tr>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'ordner_header', '<center>\r\n<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n  <tr>\r\n    <td bgcolor=\"{table_border}\">\r\n      <table border=\"0\" cellpadding=\"3\" cellspacing=\"1\" width=\"100%\">\r\n        <tr>\r\n          <td bgcolor=\"{header_bg}\" colspan=\"4\" align=\"center\">\r\n            <b>Sub-Ordner</b>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{header_bg}\">\r\n            <b>Name</b>\r\n          </td>\r\n          <td bgcolor=\"{header_bg}\">\r\n            <b>Files</b>\r\n          </td>\r\n          <td bgcolor=\"{header_bg}\">\r\n            <b>Sub-Ordner</b>\r\n          </td>\r\n          <td bgcolor=\"{header_bg}\">\r\n            <b>Beschreibung</b>\r\n          </td>\r\n        </tr>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'files_header', '<center>\r\n<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n  <tr>\r\n    <td bgcolor=\"{table_border}\">\r\n      <table border=\"0\" cellpadding=\"3\" cellspacing=\"1\" width=\"100%\">\r\n        <tr>\r\n          <td bgcolor=\"{header_bg}\" colspan=\"4\" align=\"center\">\r\n            <b>Dateien</b>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{header_bg}\">\r\n            <b>Name</b>\r\n          </td>\r\n          <td bgcolor=\"{header_bg}\">\r\n            <b>Gre</b>\r\n          </td>\r\n          <td bgcolor=\"{header_bg}\">\r\n            <b>Uploaddatum</b>\r\n          </td>\r\n          <td bgcolor=\"{header_bg}\">\r\n            <b>Beschreibung</b>\r\n          </td>\r\n        </tr>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'own_footer', 'An alle Webmaster:<br>\r\nBitte linkt auf diese Seite und <b>nicht</b> direkt auf die Datei.');
INSERT INTO $sql_table[designs] VALUES (-1, 'file_detail', '<center>\r\n<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n  <tr>\r\n    <td bgcolor=\"{table_border}\">\r\n      <table border=\"0\" cellpadding=\"3\" cellspacing=\"1\" width=\"100%\">\r\n        <tr>\r\n          <td bgcolor=\"{header_bg}\" colspan=\"2\" align=\"center\">\r\n            <b>{name}</b>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <b>Gre</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_1}\">\r\n            {size}\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_2}\">\r\n            <b>Uploaddatum</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_2}\">\r\n            {time}\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <b>Uploader</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_1}\">\r\n            {uploader}\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_2}\">\r\n            <b>Autor</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_2}\">\r\n            {author}\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <b>Downloads</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_1}\">\r\n            {loads}\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_2}\">\r\n            <b>Views</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_2}\">\r\n            {views}\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <b>Verursachter Traffic</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_1}\">\r\n            {traffic}\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_2}\">\r\n            <b>Downloadzeit</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_2}\">\r\n            {dl_time}\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <b>Bewertung</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_1}\">\r\n            Bewertungen: {votes}<br>\r\n            Durchschnittliche Bewertung: {vote}\r\n            {vote_form}\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_2}\" colspan=\"2\" align=\"center\">\r\n            <b>Beschreibung</b>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_1}\" colspan=\"2\">\r\n            <center>{screen}</center>\r\n            {text}\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{footer_bg}\" colspan=\"2\" align=\"center\">\r\n            <a href=\"{script_file}load_id={id}&filename={filename}\">Download</a><br>\r\n            {mirrors}\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n</center>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'comment_add', '<center>\r\n<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n  <tr>\r\n    <td bgcolor=\"{table_border}\">\r\n      <table border=\"0\" cellpadding=\"3\" cellspacing=\"1\" width=\"100%\">\r\n        <tr>\r\n          <td bgcolor=\"{header_bg}\" colspan=\"2\" align=\"center\">\r\n            <b>Kommentar schreiben</b>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_2}\">\r\n            <b>User</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_2}\">\r\n            {user_nick}\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <b>Titel</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <input type=\"text\" name=\"titel\" style=\"width:375\" value=\"...\">\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_2}\" align=\"center\" colspan=\"2\">\r\n            <b>Kommentar</b>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_1}\" align=\"center\" colspan=\"2\">\r\n            <textarea name=\"text\" style=\"width:375\" rows=\"5\"></textarea>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{footer_bg}\" align=\"center\" colspan=\"2\">\r\n            <input type=\"submit\" value=\"Kommentar abschicken\">\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n</center>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'comments', '<center>\r\n<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n  <tr>\r\n    <td bgcolor=\"{table_border}\">\r\n      <table border=\"0\" cellpadding=\"3\" cellspacing=\"1\" width=\"100%\">\r\n        <tr>\r\n          <td bgcolor=\"{header_bg}\" colspan=\"2\" align=\"center\">\r\n            <b>{titel}</b>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_1}\" colspan=\"2\">\r\n            {text}\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{footer_bg}\" width=\"50%\">\r\n            {time}\r\n          </td>\r\n          <td bgcolor=\"{footer_bg}\" align=\"right\">\r\n            by {nick}\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n</center>\r\n<br><br>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'top_header', '        <tr>\r\n          <td bgcolor=\"{footer_bg}\">\r\n            <b>Top {count} Downloads</b>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'top_row', '            <a href=\"{script_file}file_id={id}\" target=\"main\">{name}</a> ({loads})<br>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'tops_close', '          </td>\r\n        </tr>\r\n        <tr>\r\n          <td>\r\n            <hr>\r\n          </td>\r\n        </tr>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'ordner_close', '        <tr>\r\n          <td bgcolor=\"{footer_bg}\" colspan=\"4\">\r\n            &nbsp;\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n</center>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'files_close', '        <tr>\r\n          <td bgcolor=\"{footer_bg}\" colspan=\"4\" align=\"center\">\r\n            {list}\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n</center>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'latest_header', '        <tr>\r\n          <td bgcolor=\"{footer_bg}\">\r\n            <b>Latest {count} Downloads</b>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'latest_row', '            <a href=\"{script_file}file_id={id}\" target=\"main\">{name}</a> ({loads})<br>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'flop_header', '        <tr>\r\n          <td bgcolor=\"{footer_bg}\">\r\n            <b>Flop {count} Downloads</b>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'flop_row', '            <a href=\"{script_file}file_id={id}\" target=\"main\">{name}</a> ({loads})<br>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'stats', '        <tr>\r\n          <td bgcolor=\"{footer_bg}\">\r\n            <b>Statistik</b>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td>\r\n            <b>Datenbank:</b><br>\r\n            {total_files} Files<br>\r\n            {total_kmgt}<br>\r\n            <b>Transfered:</b><br>\r\n            {loaded_files} Files<br>\r\n            {loaded_kmgt}<br>\r\n            <b>Durchschnitt:</b><br>\r\n            {durch_files} Files/Tag<br>\r\n            {durch_kmgt}/Tag<br>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td>\r\n            <hr>\r\n          </td>\r\n        </tr>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'user_profil', '<center>\r\n<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n  <tr>\r\n    <td bgcolor=\"{table_border}\">\r\n      <table border=\"0\" cellpadding=\"3\" cellspacing=\"1\" width=\"100%\">\r\n        <tr>\r\n          <td bgcolor=\"{header_bg}\" colspan=\"2\" align=\"center\">\r\n            <b>Profil bearbeiten - {nick}</b>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_2}\">\r\n            <b>Mailadresse</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_2}\">\r\n            <input type=\"text\" name=\"mail\" style=\"width:375\" value=\"{mail}\">\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <b>Passwort</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <input type=\"password\" name=\"pw\" style=\"width:375\" value=\"{pw}\">\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_2}\">\r\n            <b>Homepage</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_2}\">\r\n            <input type=\"text\" name=\"url\" style=\"width:375\" value=\"{url}\">\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <b>ICQ Nummer</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <input type=\"text\" name=\"icq\" style=\"width:75\" value=\"{icq}\">\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{footer_bg}\" align=\"center\" colspan=\"2\">\r\n            <input type=\"submit\" value=\"bernehmen\">\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n</center>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'user_login', '<center>\r\n<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n  <tr>\r\n    <td bgcolor=\"{table_border}\">\r\n      <table border=\"0\" cellpadding=\"3\" cellspacing=\"1\" width=\"100%\">\r\n        <tr>\r\n          <td bgcolor=\"{header_bg}\" colspan=\"2\" align=\"center\">\r\n            <b>Login</b>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <b>Nickname</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <input type=\"text\" name=\"nick\" style=\"width:375\">\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_2}\">\r\n            <b>Passwort</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_2}\">\r\n            <input type=\"password\" name=\"password\" style=\"width:375\">\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{footer_bg}\" align=\"center\" colspan=\"2\">\r\n            <input type=\"submit\" value=\"Login\">\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n</center>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'user_anmeld', '<center>\r\n<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\r\n  <tr>\r\n    <td bgcolor=\"{table_border}\">\r\n      <table border=\"0\" cellpadding=\"3\" cellspacing=\"1\" width=\"100%\">\r\n        <tr>\r\n          <td bgcolor=\"{header_bg}\" colspan=\"2\" align=\"center\">\r\n            <b>Anmelden</b>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <b>Nickname</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <input type=\"text\" name=\"nick\" style=\"width:375\">\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_2}\">\r\n            <b>Mailadresse</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_2}\">\r\n            <input type=\"text\" name=\"mail\" style=\"width:375\">\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <b>Passwort</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <input type=\"password\" name=\"pw\" style=\"width:375\">\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_2}\">\r\n            <b>Homepage</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_2}\">\r\n            <input type=\"text\" name=\"url\" style=\"width:375\" value=\"http://\">\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <b>ICQ Nummer</b>\r\n          </td>\r\n          <td bgcolor=\"{alt_1}\">\r\n            <input type=\"text\" name=\"icq\" style=\"width:75\">\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td bgcolor=\"{footer_bg}\" align=\"center\" colspan=\"2\">\r\n            <input type=\"submit\" value=\"Anmelden\">\r\n          </td>\r\n        </tr>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n</center>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'choice_header', '        <tr>\r\n          <td bgcolor=\"{footer_bg}\">\r\n            <b>Top {count} Rated</b>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td>\r\n');
INSERT INTO $sql_table[designs] VALUES (-1, 'choice_row', '            <a href=\"{script_file}file_id={id}\" target=\"main\">{name}</a> ({vote})<br>\r\n');

#--------------------------------------------#

INSERT INTO $sql_table[settings] VALUES ('speed1_name', '56K');
INSERT INTO $sql_table[settings] VALUES ('speed1_speed', '5');
INSERT INTO $sql_table[settings] VALUES ('speed2_name', 'ISDN');
INSERT INTO $sql_table[settings] VALUES ('speed2_speed', '7');
INSERT INTO $sql_table[settings] VALUES ('speed3_name', 'DSL');
INSERT INTO $sql_table[settings] VALUES ('speed3_speed', '90');
INSERT INTO $sql_table[settings] VALUES ('show_comments', 'Y');
INSERT INTO $sql_table[settings] VALUES ('show_search', 'Y');
INSERT INTO $sql_table[settings] VALUES ('show_treeview', 'N');
INSERT INTO $sql_table[settings] VALUES ('show_extern_admin', 'Y');
INSERT INTO $sql_table[settings] VALUES ('chars_count', '50');
INSERT INTO $sql_table[settings] VALUES ('top_count', '10');
INSERT INTO $sql_table[settings] VALUES ('standart_url', 'http://');
INSERT INTO $sql_table[settings] VALUES ('config_seite', '20');
INSERT INTO $sql_table[settings] VALUES ('time_config', 'd.m.Y @ H:i');
INSERT INTO $sql_table[settings] VALUES ('admin_mirror', '2');
INSERT INTO $sql_table[settings] VALUES ('screen_dir', 'pdl-gfx/');
INSERT INTO $sql_table[settings] VALUES ('release_files', 'N');
INSERT INTO $sql_table[settings] VALUES ('send_mail', 'N');
INSERT INTO $sql_table[settings] VALUES ('comment_mail', '');
INSERT INTO $sql_table[settings] VALUES ('referer_check', 'N');
INSERT INTO $sql_table[settings] VALUES ('ftp_server', '');
INSERT INTO $sql_table[settings] VALUES ('ftp_server_url', '');
INSERT INTO $sql_table[settings] VALUES ('ftp_dir', '/');
INSERT INTO $sql_table[settings] VALUES ('ftp_passwort', '');
INSERT INTO $sql_table[settings] VALUES ('ftp_user', '');
INSERT INTO $sql_table[settings] VALUES ('trennung', 'zeichen');
INSERT INTO $sql_table[settings] VALUES ('trennstring', '{trenn}');
INSERT INTO $sql_table[settings] VALUES ('name_zeichen', '18');
";
?>

<html>
<head>
<title>PowerDownload - Install</title>
<link rel="stylesheet" href="pdl-gfx/powerscripts.css" type="text/css">
<script language="JavaScript">
function updatecolor(preview,newvalue)
 {
  preview.style.background = newvalue;
 }
</script>
</head>
<body bgcolor="#202020" leftmargin="5" topmargin="5" rightmargin="5">
<center>
<br>
<table border="0" cellpadding="0" cellspacing="0" width="600">
  <tr>
    <td bgcolor="#c0c0c0">
      <table border="0" cellpadding="3" cellspacing="1" width="100%">
        <tr>
          <td bgcolor="#101030" align="center">
            &nbsp;
          </td>
        </tr>
        <tr>
          <td bgcolor="#606060" align="center">
            <h1> PowerDownload <? echo $settings[version]; ?> Installation</h1>
          </td>
        </tr>
        <tr>
          <td bgcolor="#202040" align="center">
            &nbsp;
          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
</center>
<?
switch($step)
 {
  default:
   echo "<h1>Schritt 1 - Erstellen der Tabellenstruktur</h1><br>
   <small>Wenn die Powerdownload Tabellen schon existieren werden diese gelscht.</small><br>
   <a href=\"$PHP_SELF?step=1\">weiter &raquo;</a>";
  break;
  case "1":
   $pieces       = array();
   PMA_splitSqlFile($pieces, $querys);
   $pieces_count = count($pieces);
   for ($i = 0; $i < $pieces_count; $i++)
    {
     $a_sql_query = $pieces[$i];
     $result = $db_handler->sql_query($a_sql_query);
     if ($result == FALSE)
      {
       $my_die = $a_sql_query;
       break;
      }
    }

   if(!isset($my_die))
    {
     echo "Alle Tabellen wurden erzeugt.<br>
     <h1>Schritt 2 - Einstellung des Styles</h1><br>
     <small>Geben Sie hier ihren Style an. Die Farbnamen sollten selbsterklrend sein.</small><br>
     <form action=\"$PHP_SELF?step=2\" method=\"post\">
     <ul>
     Header Farbe<br>
     <input type=\"text\" name=\"header_bg\" style=\"width: 55px\" value=\"#1B6496\" onchange=\"updatecolor(prev_header_bg,this.value)\">
     <input type=\"button\" disabled id=\"prev_header_bg\" style=\"background: #1B6496; width: 55px\">
     <br>
     Rahmen Farbe<br>
     <input type=\"text\" name=\"table_border\" style=\"width: 55px\" value=\"#8AABBE\" onchange=\"updatecolor(prev_table_border,this.value)\">
     <input type=\"button\" disabled id=\"prev_table_border\" style=\"background: #8AABBE; width: 55px\">
     <br>
     1. Alternativfarbe<br>
     <input type=\"text\" name=\"alt_1\" style=\"width: 55px\" value=\"#2C658A\" onchange=\"updatecolor(prev_alt_1,this.value)\">
     <input type=\"button\" disabled id=\"prev_alt_1\" style=\"background: #2C658A; width: 55px\">
     <br>
     2. Alternativfarbe<br>
     <input type=\"text\" name=\"alt_2\" style=\"width: 55px\" value=\"#326D8F\" onchange=\"updatecolor(prev_alt_2,this.value)\">
     <input type=\"button\" disabled id=\"prev_alt_2\" style=\"background: #326D8F; width: 55px\">
     <br>
     Footer Farbe<br>
     <input type=\"text\" name=\"footer_bg\" style=\"width: 55px\" value=\"#3C6279\" onchange=\"updatecolor(prev_footer_bg,this.value)\">
     <input type=\"button\" disabled id=\"prev_footer_bg\" style=\"background: #3C6279; width: 55px\">
     <br>
     Hintergrundfarbe fr den Adminbereich<br>
     <input type=\"text\" name=\"bg\" style=\"width: 55px\" value=\"#27394B\" onchange=\"updatecolor(prev_bg,this.value)\">
     <input type=\"button\" disabled id=\"prev_bg\" style=\"background:#27394B; width: 55px\">
     <br>
     Gesamte Breite von Powerdownload<br>
     <small>Um den ganzen Downloadbereich ist eine unsichtbare Tabelle. Hier deren Breite angeben.</small><br>
     <input type=\"text\" name=\"all_width\" style=\"width: 36px\" value=\"95%\">
     </ul>
     <input type=\"submit\" value=\"Go!\">
     </form>
     ";
    }
   else
    { echo "Fehler beim erstellen der Tabellen!"; }
  break;
  case "2":
$style_query = "
INSERT INTO $sql_table[designs] VALUES (-1, 'header_bg', '$header_bg');
INSERT INTO $sql_table[designs] VALUES (-1, 'table_border', '$table_border');
INSERT INTO $sql_table[designs] VALUES (-1, 'alt_1', '$alt_1');
INSERT INTO $sql_table[designs] VALUES (-1, 'alt_2', '$alt_2');
INSERT INTO $sql_table[designs] VALUES (-1, 'footer_bg', '$footer_bg');
INSERT INTO $sql_table[designs] VALUES (-1, 'bg', '$bg');
INSERT INTO $sql_table[designs] VALUES (-1, 'all_width', '$all_width');
";
   $pieces       = array();
   PMA_splitSqlFile($pieces, $style_query);
   $pieces_count = count($pieces);
   for ($i = 0; $i < $pieces_count; $i++)
    {
     $a_sql_query = $pieces[$i];
     $result = $db_handler->sql_query($a_sql_query);
     if ($result == FALSE)
      {
       $my_die = $a_sql_query;
       break;
      }
    }
   if(!isset($my_die))
    {
     echo "Style Erfoldgreich eingerichtet.<br>
     <h1>Schritt 3 - Erstellen des Hauptadmins</h1><br>
     <form action=\"$PHP_SELF?step=3\" method=\"post\">
     Nickname: <input type=\"text\" name=\"nick\"><br>
     Passwort: <input type=\"text\" name=\"pw\"><br>
     E-Mail: <input type=\"text\" name=\"mail\"><br>
     Homepage: <input type=\"text\" name=\"url\"><br>
     ICQ Nummer: <input type=\"text\" name=\"icq\"><br>
     <input type=\"submit\" value=\"Go!\">
     </form>";
    }
   else
    { "Fehler beim erstellen des Styles!"; }
  break;
  case "3":
   $pw_add = base64_encode($pw);
   if(addadmin($nick,$mail,$pw_add,$url,$icq,"Y","Y","Y","Y","Y","Y","Y","Y","Y","Y","Y","Y") == true)
    {
     $url = "http://".$SERVER_NAME.$PHP_SELF;
     $url = str_replace("pdl_install.php", "downloads.php", $url);
     echo "Admin Erfoldgreich eingerichtet.<br>
     <h1>Schritt 4 - Einstellen der \"lebenswichtigen\" Optionen</h1><br>
     <form action=\"$PHP_SELF?step=4\" method=\"post\">
     Absoluter Pfad: <input type=\"text\" name=\"root_dir\"> - Nur fr gamesweb.com User erforderlich, die den Ordner pdl-inc im INC Ordner haben.
     In diesem Fall muss <i>/local/share/nXXX/inc/</i> eingegeben werden. Fr nicht gwc User ist diese Feld freizulassen.<br>
     URL zu Script: <input type=\"text\" name=\"url\" value=\"$url\"> - Sollte automatisch erkannt werden. Wenn nicht hier einfach die URL
     zur Download Seite eingeben, in welche die pdl_downloads.inc.php includet wurde.<br>
     <input type=\"submit\" value=\"Go!\">
     </form>";
    }
   else
    { "Fehler beim erstellen des Admins!"; }
  break;
  case "4":
   $settings_query = "
INSERT INTO $sql_table[settings] VALUES ('root_dir', '$root_dir');
INSERT INTO $sql_table[settings] VALUES ('script_file', '$url');
";
   $pieces       = array();
   PMA_splitSqlFile($pieces, $settings_query);
   $pieces_count = count($pieces);
   for ($i = 0; $i < $pieces_count; $i++)
    {
     $a_sql_query = $pieces[$i];
     $result = $db_handler->sql_query($a_sql_query);
     if ($result == FALSE)
      {
       $my_die = $a_sql_query;
       break;
      }
    }
   if(!isset($my_die))
    {
     echo "Installation abgeschlossen! Viel spa mit dem Script! Lschen Sie dieses Installationsscript umgehen. Es knnte eine SEHR GROE Sicherheitslcke sein!<br>
     Sie knnen sich nun einloggen und die restlichen Einstellungen vornehmen.";
     #mail("swatinem@renegade-planet.de", "PowerDownload installiert", "Soeben hat jemand PowerDownload auf $url installiert!", "FROM: Powerdownload Automailer <daemon@powerscripts.org>");
    }
   else
    { "Fehler beim erstellen der \"lebensnotwendigen\" Settings!"; }
  break;
 }
?>
</body>
</html>